## org.codehaus.groovy.grails.web.pages
Class GroovyPage.ConstantClosure

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.lang.Closure
              org.codehaus.groovy.grails.web.pages.GroovyPage.ConstantClosure

All Implemented Interfaces:
  groovy.lang.GroovyObject, Serializable, Cloneable, Runnable

Enclosing class:
  GroovyPage

    public static final class GroovyPage.ConstantClosure

extends groovy.lang.Closure

See Also:
  Serialized Form

Field Summary
`(package private) Object` `retval`

Fields inherited from class groovy.lang.Closure
`DELEGATE_FIRST, DELEGATE_ONLY, DONE, maximumNumberOfParameters, OWNER_FIRST, OWNER_ONLY, parameterTypes, SKIP, TO_SELF`

Constructor Summary
`GroovyPage.ConstantClosure(Object retval)`

Method Summary
`Object` `call(Object[] args)`
`Object` `doCall()`
`Object` `doCall(Object obj)`
`Object` `doCall(Object[] args)`

Methods inherited from class groovy.lang.Closure
`asWritable, call, call, clone, curry, getDelegate, getDirective, getMaximumNumberOfParameters, getOwner, getParameterTypes, getProperty, getResolveStrategy, getThisObject, isCase, run, setDelegate, setDirective, setProperty, setResolveStrategy, throwRuntimeException`

Methods inherited from class groovy.lang.GroovyObjectSupport
`getMetaClass, invokeMethod, setMetaClass`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### retval

    final Object retval

Constructor Detail

### GroovyPage.ConstantClosure

    public GroovyPage.ConstantClosure(Object retval)

Method Detail

### doCall

    public Object doCall(Object obj)

### doCall

    public Object doCall()

### doCall

    public Object doCall(Object[] args)

### call

    public Object call(Object[] args)

  Overrides:
    `call` in class `groovy.lang.Closure`

Copyright (c) 2005-2009 The Grails project